<?php
// Если WordPress не вызывает этот файл напрямую, выходим
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

// Здесь мы удаляем все данные плагина из базы данных
// В нашем случае, нам нужно удалить настройки виджета, если они были сохранены

// Удаляем опции плагина, если они есть
delete_option('pdf_viewer_elementor_settings');

// Удаляем мета-данные постов, связанные с нашим виджетом
global $wpdb;
$wpdb->query("DELETE FROM {$wpdb->postmeta} WHERE meta_key LIKE '_elementor_data' AND meta_value LIKE '%pdf_viewer%'");

// Очищаем кэш
wp_cache_flush();